# $Revision: 1.21 $, $Date: 2005/10/08 12:53:56 $
%define		zope_subname	ExternalEditor
Summary:	A Zope product integrating Zope more seamlessly with client-side tools
Summary(pl):	Dodatek do Zope lepiej intergrujcy Zope z narzdziami od strony klienta
Name:		Zope-%{zope_subname}
Version:	0.9.1
Release:	1
License:	ZPL 2.0
Group:		Development/Tools
Source0:	http://plope.com/software/ExternalEditor/ExternalEditor-%{version}-src.tgz
# Source0-md5:	6befe8f5af29e8b4e27d9aba0299b57c
URL:		http://plope.com/software/ExternalEditor/
BuildRequires:	python
%pyrequires_eq	python-modules
Requires:	Zope
Requires(post,postun):	/usr/sbin/installzopeproduct
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ExternalEditor is a Zope product, a new way to integrate Zope more seamlessly
with client-side tools. 
This package is supposed to be installed on Zope server, there is a zopeedit
tool for clients.

%description -l pl
ExternalEditor jest dodatkiem do Zope, umoliwiajcym w nowy, bardziej
przezroczysty sposb integrowa Zope z narzdziami od strony klienta.
Ten pakiet powinien by zainstalowany na serwerze Zope. Od strony klienta
dostp do niego zapewnia pakiet zopeedit.

%prep
%setup -q -n %{zope_subname}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}
# install -d $RPM_BUILD_ROOT%{_mandir}/man1

cp -af {Plugins,*.py,*.gif,*.dtml,version.txt} $RPM_BUILD_ROOT%{_datadir}/%{name}
# cp -af man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

# rm $RPM_BUILD_ROOT%{product_dir}/%{zope_subname}/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/installzopeproduct %{_datadir}/%{name} %{zope_subname}
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/installzopeproduct -d %{zope_subname} 
	if [ -f /var/lock/subsys/zope ]; then
		/etc/rc.d/init.d/zope restart >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc CHANGES.txt INSTALL-UNIX.txt README.txt
# %%{_mandir}/man1/*
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-ExternalEditor.spec,v $
Revision 1.21  2005/10/08 12:53:56  ciesiel
- upgraded to version 0.9.1

Revision 1.20  2005/01/13 06:39:55  ankry
- spaces -> tabs

Revision 1.19  2005/01/12 21:11:06  ciesiel
- added BR: python

Revision 1.18  2005/01/12 07:21:38  ciesiel
- remove R:python
- fixed BR:CMF (epoch)

Revision 1.17  2004/12/25 18:24:51  saq
- release 2 for rebuild with python 2.4

Revision 1.16  2004/07/28 08:03:21  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.15  2004/07/13 17:31:38  ciesiel
- upgraded to version 0.8

Revision 1.14  2004/04/25 08:31:31  ciesiel
- man removed (zopeedit included)

Revision 1.13  2004/04/25 08:22:51  ciesiel
- upgraded to version 0.7.2

Revision 1.12  2003/12/03 17:00:05  ciesiel
- added missing files

Revision 1.11  2003/11/17 11:22:13  ciesiel
- added req. %post and %postun
- cleaning

Revision 1.10  2003/11/16 15:47:46  jajcus
- install in %{_datadir}/%{name}
- installzopeproduct in %post/%postun

Revision 1.9  2003/11/01 17:33:03  ciesiel
- remove req.

Revision 1.8  2003/11/01 09:48:51  ciesiel
- Requires

Revision 1.7  2003/10/31 09:21:57  jajcus
- rewritten to use correct sources. Previous release was one big packaging mistake - helper application packaged as Zope product

Revision 1.6  2003/10/07 10:43:01  qboosh
- fixed License, cleanups/simplifications, python deps

Revision 1.5  2003/09/27 17:41:28  ciesiel
- .py needed by packages

Revision 1.4  2003/08/22 14:09:34  qboosh
- cleanups

Revision 1.3  2003/08/08 08:06:49  ciesiel
- added missing %dir in %files section

Revision 1.2  2003/08/08 06:01:08  ciesiel
- fixed attributes

Revision 1.1  2003/08/07 19:30:08  ciesiel
- initial release
